Name:		dillo
Version:	3.2.0
Release:	%mkrel 2
Summary:	Very fast and light web browser
# The OpenSSL exception is in dpi/https.c - AdamW 2008/12
License:	GPL-3.0-or-later with exceptions
Group:		Networking/WWW
URL:		https://dillo-browser.github.io/
Source0:	https://github.com/dillo-browser/dillo/releases/download/v%{version}/%{name}-%{version}.tar.bz2
Source1:	https://github.com/dillo-browser/dillo/releases/download/v%{version}/%{name}-%{version}.tar.bz2.asc
BuildRequires:	ungif-devel
BuildRequires:	cmake(fltk)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary. It is a graphical browser built upon FLTK2 and currently
renders a subset of HTML (no frames, no JavaScript, and no JVM).

%prep
%autosetup

# silence rpmlint and convert to utf8
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && mv -f AUTHORS.conv AUTHORS
iconv -f iso8859-1 -t utf-8 ChangeLog > ChangeLog.conv && mv -f ChangeLog.conv ChangeLog

%build
%configure \
	--enable-ipv6 \
	--enable-tls
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 dillorc %{buildroot}%{_sysconfdir}/

%files
%doc AUTHORS ChangeLog NEWS README.md doc/user_help.html
%license COPYING
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/
%config(noreplace) %{_sysconfdir}/dillorc
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/dillorc
%config(noreplace) %{_sysconfdir}/%{name}/dpidrc
%config(noreplace) %{_sysconfdir}/%{name}/hsts_preload
%config(noreplace) %{_sysconfdir}/%{name}/keysrc
%config(noreplace) %{_sysconfdir}/%{name}/domainrc
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 3.2.0-2.mga10
+ Revision: 2234244
- Mageia 10 Mass Rebuild

* Wed Jan 22 2025 daviddavid <daviddavid> 3.2.0-1.mga10
+ Revision: 2140574
- new version: 3.2.0

* Sat Jun 08 2024 daviddavid <daviddavid> 3.1.1-1.mga10
+ Revision: 2070983
- new version: 3.1.1

* Mon May 06 2024 daviddavid <daviddavid> 3.1.0-1.mga10
+ Revision: 2062656
- new version: 3.1.0 (from new Url at https://dillo-browser.github.io)

* Thu Mar 31 2022 umeabot <umeabot> 3.0.5-13.mga9
+ Revision: 1837034
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 3.0.5-12.mga9
+ Revision: 1747578
- rebuild for openssl 3.0.0

* Tue Mar 16 2021 neoclust <neoclust> 3.0.5-11.mga9
+ Revision: 1703971
- Fix openssl support

* Wed Aug 19 2020 martinw <martinw> 3.0.5-10.mga8
+ Revision: 1615923
- fix build with GCC 10

* Thu Feb 13 2020 umeabot <umeabot> 3.0.5-9.mga8
+ Revision: 1511834
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 3.0.5-8.mga7
+ Revision: 1297448
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Sep 05 2017 cjw <cjw> 3.0.5-6.mga7
+ Revision: 1151351
- rebuild for new openssl

* Wed Mar 02 2016 umeabot <umeabot> 3.0.5-5.mga6
+ Revision: 983359
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 3.0.5-4.mga6
+ Revision: 953780
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 daviddavid <daviddavid> 3.0.5-3.mga6
+ Revision: 880058
- update doc file list (fix build with new rpm 4.13.0)

* Sun Aug 16 2015 fwang <fwang> 3.0.5-2.mga6
+ Revision: 865079
- rebuild for new fltk

* Tue Jul 28 2015 daviddavid <daviddavid> 3.0.5-1.mga6
+ Revision: 858370
- new version: 3.0.5
- enable openssl support
- switch BuildRequires to pkgconfig()
- fix file-not-utf8 warning
- update doc file list

* Wed Oct 15 2014 umeabot <umeabot> 3.0.4-3.mga5
+ Revision: 749824
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.0.4-2.mga5
+ Revision: 678747
- Mageia 5 Mass Rebuild

* Fri Apr 11 2014 fwang <fwang> 3.0.4-1.mga5
+ Revision: 613387
- 3.0.4

* Sat Oct 19 2013 umeabot <umeabot> 3.0.3-2.mga4
+ Revision: 527519
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 3.0.3-1.mga4
+ Revision: 441034
- update file list
- new version 3.0.3

* Mon Jun 03 2013 fwang <fwang> 3.0.2-3.mga4
+ Revision: 435819
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 3.0.2-2.mga3
+ Revision: 348801
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 06 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 177192
- new version 3.0.2
- add url

* Sat Sep 24 2011 fwang <fwang> 3.0.1-1.mga2
+ Revision: 147150
- new version 3.0.1

* Mon Sep 12 2011 fwang <fwang> 3.0-2.mga2
+ Revision: 142620
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 3.0-1.mga2
+ Revision: 141993
- new version 3.0
- new version 2.2.1

* Mon Apr 25 2011 wally <wally> 2.2-3.mga1
+ Revision: 90312
- fix desktop file (mga#954)
- drop buildroot definition

* Tue Mar 08 2011 ennael <ennael> 2.2-2.mga1
+ Revision: 66388
- clean spec file
- imported package dillo


* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 2.2-2mdv2011.0
+ Revision: 635174
- simplify BR

* Fri Feb 12 2010 Frederik Himpe <fhimpe@mandriva.org> 2.2-1mdv2011.0
+ Revision: 505054
- update to new version 2.2

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 2.1.1-2mdv2010.0
+ Revision: 419744
- rebuild for new libjpeg v7

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 399017
- Update to new verison 2.1.1

* Tue Dec 09 2008 Adam Williamson <awilliamson@mandriva.org> 2.0-1mdv2009.1
+ Revision: 312368
- buildrequires X11-devel
- buildrequires fltk2-devel (now fltk2-based not GTK+-based)
- clean doc file list
- drop MDV menu category
- drop the patch (no longer needed)
- new license policy
- cleanups
- new version 2.0
- drop unnecessary defines

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.8.6-4mdv2009.0
+ Revision: 266561
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 31 2008 Christiaan Welvaart <spturtle@mandriva.org> 0.8.6-3mdv2009.0
+ Revision: 213579
- move autotools calls from %%prep to %%build
- drop build dependency on fltk since it wasn't used
- patch1: fix build by removing a line from configure.in
- build the app in %%build, not in %%install
- enable IPv6

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8.6-2mdv2008.1
+ Revision: 136365
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import dillo


* Tue Sep 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.6-2mdv2007.0
- XDG

* Tue Jun 12 2006 Charles A Edwards <eslrahc@mandriva.org 0.8.6-1mdv2007.0
- 0.8.6

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.8.5-3mdk
- enable ssl support
- buildrequires fltk-devel

* Thu Nov 17 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.8.5-2mdk
- rebuild against openssl-0.9.8

* Wed Aug 17 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.8.5-1mdk
- New release 0.8.5

* Wed Jan 12 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.8.4-1mdk
- 0.8.4

* Thu Oct 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.8.3-1mdk
- 0.8.3

* Sat Sep 18 2004 Michael Scherer <misc@mandrake.org> 0.8.2-2mdk 
- change menu

* Tue Jul 13 2004 Franck Villaume <fvill@mandrakesoft.com> 0.8.2-1mdk
- New release 0.8.2

* Sat May 15 2004 Michael Scherer <misc@mandrake.org> 0.8.1-1mdk
- New release 0.8.1
- rpmbuildupdate aware

* Mon Feb 09 2004 Michael Scherer <misc@mandrake.org> 0.8.0-1mdk
- 0.8.0
- change menu
- more macros
 
* Thu Aug 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- use makeinstall_std transform="" (thx Torstein Dybdahl)

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1.2-1mdk
- 0.7.1.2

* Mon Feb 17 2003 François Pons <fpons@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- adjust buildrequires (Ed Avis)

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6
- new url

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-2mdk
- /etc/dillorc

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Fix menu entry

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- updated desc.

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild against new libpng

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-3mdk
- rebuild

* Fri Feb 23 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-1mdk
- updated to 0.3.2

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.3.1-1mdk 
- updated to 0.3.1

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.4-1mdk
- menu
- v0.2.4

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-3mdk
- BM

* Tue Jul 18 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-2mdk
- macrozification

* Mon Jun 01 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.2.2-1mdk
- initial packaging
